package com.gic.haoban.manage.service.dao.mapper.chat;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.api.dto.chat.GroupChatPlanDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatPlanSearchQDTO;
import com.gic.haoban.manage.service.entity.chat.TabGroupChatPlan;

/**
 * 
 * @ClassName: TabHaobanGroupChatPlanMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:28:49
 * @Modify
 * @CopyRight 
 */
public interface GroupChatPlanMapper {

    public int insert(TabGroupChatPlan entity);

    public int deleteById(@Param("planId") Long planId, @Param("clerkId") String clerkId,
            @Param("clerkName") String clerkName);

    public int stopById(@Param("planId") Long planId, @Param("clerkId") String clerkId,
            @Param("clerkName") String clerkName, @Param("modifyStartTimeFlag") Integer modifyStartTimeFlag);

    public int updateSendFlag(@Param("planId") Long planId);

    public int updateById(TabGroupChatPlan entity);

    public TabGroupChatPlan selectById(Long planId);

    public List<TabGroupChatPlan> list(GroupChatPlanSearchQDTO qdto);

    public void updateData(@Param("planId") Long planId, @Param("sendCount") int sendCount,
            @Param("successChatCount") int successChatCount, @Param("failChatCount") int failChatCount);

    public void updateRemark(GroupChatPlanDTO dto);

    public void updateStaffCount(@Param("planId") Long planId,@Param("staffCount") int staffCount) ;
}